org.wso2.carbon.rest.api.stub.types.axis2

## Class GetApiForTenant

- java.lang.Object
- - org.wso2.carbon.rest.api.stub.types.axis2.GetApiForTenant

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class GetApiForTenant
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetApiForTenant bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GetApiForTenant.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localApiName` field for ApiName
    `protected boolean` | `localApiNameTracker`
    `protected String` | `localTenantDomain` field for TenantDomain
    `protected boolean` | `localTenantDomainTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetApiForTenant()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApiName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getTenantDomain()` Auto generated getter method
    `boolean` | `isApiNameSpecified()`
    `boolean` | `isTenantDomainSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setApiName(String param)` Auto generated setter method
    `void` | `setTenantDomain(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localApiName

          protected String localApiName

      field for ApiName

    - #### localApiNameTracker

          protected boolean localApiNameTracker

    - #### localTenantDomain

          protected String localTenantDomain

      field for TenantDomain

    - #### localTenantDomainTracker

          protected boolean localTenantDomainTracker

  - ### Constructor Detail

    - #### GetApiForTenant

          public GetApiForTenant()

  - ### Method Detail

    - #### isApiNameSpecified

          public boolean isApiNameSpecified()

    - #### getApiName

          public String getApiName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setApiName

          public void setApiName(String param)

      Auto generated setter method
      Parameters:
        `param` - ApiName

    - #### isTenantDomainSpecified

          public boolean isTenantDomainSpecified()

    - #### getTenantDomain

          public String getTenantDomain()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setTenantDomain

          public void setTenantDomain(String param)

      Auto generated setter method
      Parameters:
        `param` - TenantDomain

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.